
QGIS Application - Bug report #10366

Rule based Filter Test always reports 0 feature

2014-05-27 03:22 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18785

Description

To reproduce the bug:

Open a line shapefile

Select rule based styling

Add an expression for the Filter

Click on Test:

Filter returns (0) features

Same behaviour in master and 2.2

Related issues:

Related to QGIS Application - Bug report # 14758: Wrong feature count for rul... Closed 2016-05-03

Associated revisions

Revision b49ce335 - 2014-05-27 02:12 PM - Martin Dobias

Fix #10366 (geometry functions not working in rule test)

History

#1 - 2014-05-27 04:03 AM - Saber Razmjooei

I used $area of the geometry as a part of my expression.

The Count for each rule also report 0.

It works fine with field expression.

#2 - 2014-05-27 05:13 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"b49ce33543d2b934b4908a91dc9b2788073187a1".

#3 - 2014-06-05 07:51 AM - Saber Razmjooei

the first part of the problem which was related to Test works fine. But the feature count still shows 0 features. It might be related to #5768
